<div style="position: relative;height: 30px;width: 100%;">
  <div style=" border:1px solid grey;   position: absolute;top: 37.5%;height: 25%;width: 100%;background-image: linear-gradient(to right, #eaeaea 40%, #f1b125);">
  </div>
  <div style="position: absolute;background: #f1b125;width: 7px;height: 100%;left: 10%;border-radius: 5px;border: 1px solid;"></div>
</div>